//
//  Assignment.h
//  Taxi
//
//  Copyright (c) 2013 Toni Rogel. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Ride.h"

typedef NS_ENUM(NSUInteger, TaxiAssignmentStatus) {
    TaxiAssignmentStatusPending,
    TaxiAssignmentStatusAccepted,
    TaxiAssignmentStatusRejected
};

@interface Assignment : NSObject
@property (nonatomic, assign) TaxiAssignmentStatus status;
@property (nonatomic) Ride *ride;

- (id)initWithAttributes:(NSDictionary *)attributes;

+ (void)currentAssignmentWithSuccess:(void (^)(Assignment *assignment))success failure:(void (^)(NSError *error))failure;

- (void)acceptAssignmentWithSuccess:(void (^)(void))success failure:(void (^)(NSError *error))failure;
- (void)rejectAssignmentWithSuccess:(void (^)(void))success failure:(void (^)(NSError *error))failure;

@end
