//
//  Reputation.m
//  Taxi
//
//  Copyright (c) 2013 Toni Rogel. All rights reserved.
//

#import "Reputation.h"
#import "TaxiAPIClient.h"


@implementation Reputation

@synthesize countsByValue = _countsByValue;

// Genera diccionario con las posibles valoraciones como clave y la cantidad de cada una de ellas como valor
- (NSDictionary *)countsByValue
{
    if (!_countsByValue) {
        NSCountedSet *counted = [NSCountedSet setWithArray:[self.values valueForKeyPath:@"value"]];
        NSMutableDictionary *grouped = [NSMutableDictionary dictionary];
        for (NSNumber *rating in [self.values valueForKeyPath:@"value"]) {
            grouped[rating] = @([counted countForObject:rating]);
        }
        _countsByValue = [grouped copy];
    }
    return _countsByValue;
}

- (id)initWithDictionary:(NSDictionary *)dictionary
{
    self = [self init];
    
    if (self){
        [self setValue:dictionary[@"average"] forKey:@"average"];
        [self setValue:dictionary[@"ratings"] forKey:@"values"];
    }
    
    return self;
}

#pragma mark - Interfaz con API

+ (void)fetchWithSuccess:(void (^)(Reputation *))success failure:(void (^)(NSError *))failure
{
    [[TaxiAPIClient sharedClient] getReputationWithSuccess:^(id JSON){
        Reputation *reputation = [[Reputation alloc] initWithDictionary:JSON];
        if (success) {
            success(reputation);
        }
    } failure:^(NSError *error) {
        if (failure) {
            failure(error);
        }
    }];
}

@end
