//
//  Taxi.h
//  Taxi
//
//  Copyright (c) 2013 Toni Rogel. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>
#import <MapKit/MapKit.h>

@interface Taxi : NSObject <MKAnnotation>
@property (nonatomic, copy) NSNumber *identifier;
@property (nonatomic, copy) NSNumber *latitude;
@property (nonatomic, copy) NSNumber *longitude;
@property (nonatomic, copy) NSNumber *available;

- (id)initWithAttributes:(NSDictionary *)attributes;

+ (void)didChangeLocation:(CLLocation *)location;
+ (void)updateDeviceToken;
+ (void)fetchWithSuccess:(void (^)(Taxi *taxi))success failure:(void (^)(NSError *error))failure;
+ (void)availableTaxisWithSuccess:(void (^)(NSArray *))success failure:(void (^)(NSError *))failure;
+ (void)assignedTaxiWithLocator:(NSString *)locator success:(void (^)(Taxi *taxi))success failure:(void (^)(NSError *error))failure;
@end
