//
//  TaxiAPIClient.h
//  Taxi
//
//  Copyright (c) 2013 Toni Rogel. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AFNetworking/AFHTTPClient.h>
#import <CoreLocation/CoreLocation.h>

@interface TaxiAPIClient : AFHTTPClient

+ (TaxiAPIClient *)sharedClient;

#pragma mark - API para cliente

- (void)getAvailableTaxisWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)hailTaxiWithCoordinate:(CLLocationCoordinate2D)coordinate success:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)schedulePickupWithCoordinate:(CLLocationCoordinate2D)coordinate atTime:(NSDate *)time success:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)getAssignedTaxiWithLocator:(NSString *)locator success:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)getRequestedRideWithLocator:(NSString *)locator success:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)getUnratedRideWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)rateRideWithLocator:(NSString *)locator rating:(NSNumber *)rating success:(void (^)(id))success failure:(void (^)(NSError *))failure;

#pragma mark - API para taxista

- (void)loginWithUsername:(NSString *)username password:(NSString *)password success:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)logoutWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)updateTaxiDeviceWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)updateTaxiAvailabilityWithStatus:(BOOL)available success:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)updateTaxiPositionWithCoordinate:(CLLocationCoordinate2D)coordinate success:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)getAssignmentInformationWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)getReputationWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)getRideInformationWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)getTaxiInformationWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)acceptRideWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)rejectRideWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)beginRideWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;
- (void)endRideWithSuccess:(void (^)(id))success failure:(void (^)(NSError *))failure;

@end
