# encoding : utf-8
module Api
  module V1
    class TokensController < ApplicationController
      # solo debe saltarse la comprobacion en el caso de verificar el token
      skip_before_filter :verify_authenticity_token

      respond_to :json

      # accion utilizada para hacer login desde la app
      def create
        username = params[:username]
        password = params[:password]
        if request.format != :json
          render :status=>406, :json=>{:message=>"The request must be json"}
          return
        end
    
        if username.nil? or password.nil?
          render :status=>400,
                 :json=>{:message=>"The request must contain the username and password."}
          return
        end

        # busca taxista para el usuario indicado
        @taxi_driver=TaxiDriver.find_by_username(username.downcase)

        if @taxi_driver.nil?
          logger.info("User #{username} failed signin, user cannot be found.")
          render :status=>401, :json=>{:message=>"Invalid username or password."}
          return
        end

        # http://rdoc.info/github/plataformatec/devise/master/Devise/Models/TokenAuthenticatable
        @taxi_driver.ensure_authentication_token!

        # comprueba password y devuelve token en caso correcto
        if not @taxi_driver.valid_password?(password)
          logger.info("User #{username} failed signin, password \"#{password}\" is invalid")
          render :status=>401, :json=>{:message=>"Invalid username or password."}
        else
          render :status=>200, :json=>{:token=>@taxi_driver.authentication_token}
        end
      end

      # accion utilizada para hacer logout desde la app
      def destroy
        @taxi_driver=TaxiDriver.find_by_authentication_token(params[:id])
        if @taxi_driver.nil?
          logger.info("Token not found.")
          render :status=>404, :json=>{:message=>"Invalid token."}
        else
          @taxi_driver.reset_authentication_token!
          render :status=>200, :json=>{:token=>params[:id]}
        end
      end
    end
  end
end
