# encoding : utf-8
class TaxiDriversController < ApplicationController

  # Obliga a autenticar antes de cada accion
  before_filter :authenticate_admin!

  # GET /taxi_drivers
  # GET /taxi_drivers.json
  def index
    @taxi_drivers = TaxiDriver.all

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @taxi_drivers }
    end
  end

  # GET /taxi_drivers/1
  # GET /taxi_drivers/1.json
  def show
    @taxi_driver = TaxiDriver.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.json { render json: @taxi_driver }
    end
  end

  # GET /taxi_drivers/new
  # GET /taxi_drivers/new.json
  def new
    @taxi_driver = TaxiDriver.new

    respond_to do |format|
      format.html # new.html.erb
      format.json { render json: @taxi_driver }
    end
  end

  # GET /taxi_drivers/1/edit
  def edit
    @taxi_driver = TaxiDriver.find(params[:id])
  end

  # POST /taxi_drivers
  # POST /taxi_drivers.json
  def create
    @taxi_driver = TaxiDriver.new(params[:taxi_driver])

    respond_to do |format|
      if @taxi_driver.save
        format.html { redirect_to taxi_drivers_path, notice: t("helpers.model.created", model: @taxi_driver.class.model_name.human) }
        format.json { render json: @taxi_driver, status: :created, location: @taxi_driver }
      else
        format.html { render action: "new" }
        format.json { render json: @taxi_driver.errors, status: :unprocessable_entity }
      end
    end
  end

  # PUT /taxi_drivers/1
  # PUT /taxi_drivers/1.json
  def update
    @taxi_driver = TaxiDriver.find(params[:id])
    params[:taxi_driver].delete(:password) if params[:taxi_driver][:password].blank?
    params[:taxi_driver].delete(:password_confirmation) if params[:taxi_driver][:password_confirmation].blank?

    respond_to do |format|
      if @taxi_driver.update_attributes(params[:taxi_driver])
        format.html { redirect_to @taxi_driver, notice: t("helpers.model.updated", model: @taxi_driver.class.model_name.human) }
        format.json { head :no_content }
      else
        format.html { render action: "edit" }
        format.json { render json: @taxi_driver.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /taxi_drivers/1
  # DELETE /taxi_drivers/1.json
  def destroy
    @taxi_driver = TaxiDriver.find(params[:id])
    @taxi_driver.destroy

    respond_to do |format|
      format.html { redirect_to taxi_drivers_url, notice: t("helpers.model.deleted", model: @taxi_driver.class.model_name.human) }
      format.json { head :no_content }
    end
  end

end