# encoding : utf-8
class TaxiDriver < ActiveRecord::Base
  # Include default devise modules. Others available are:
  # :token_authenticatable, :confirmable,
  # :lockable, :timeoutable and :omniauthable
  devise :token_authenticatable, :database_authenticatable, #:registerable, :recoverable,
         :rememberable, :trackable, :validatable, :authentication_keys => [:username]

  # Setup accessible (or protected) attributes for your model
  attr_accessible :email, :password, :password_confirmation, :remember_me
  # attr_accessible :title, :body
  attr_accessible :username, :device, :taxi_identifier

  # relaciones con otros modelos
  has_one :taxi

  # a ejecutar tras crear un registro
  after_create :add_taxi

  # atributo virtual taxi_identifier (usado en formulario)
  def taxi_identifier
    @taxi_identifier
  end

  def taxi_identifier=(new_taxi_identifier)
    @taxi_identifier = new_taxi_identifier
  end

  # crea un taxi asociado al crear un taxista
  # le asigna el identificador de taxi desde el atributo virtual taxi_identifier
  def add_taxi
    self.create_taxi(identifier: self.taxi_identifier, available: false)
  end
end
