TaxiBackEnd::Application.routes.draw do
  devise_for :taxi_drivers

  devise_for :admins

  root :to => 'home#index'

  get "home/index"

  resources :taxi_drivers

  namespace :api, defaults: {format: 'json'} do
    namespace :v1 do
      get 'available_taxis' => 'customer#available_taxis'
      post 'hail_taxi' => 'customer#hail_taxi'
      post 'schedule_pickup' => 'customer#schedule_pickup'
      get 'assigned_taxi' => 'customer#assigned_taxi'
      get 'requested_ride' => 'customer#requested_ride'
      get 'unrated' => 'customer#unrated'
      post 'rate' => 'customer#rate'

      post 'update_position' => 'taxi#update_position'
      get 'taxi_information' => 'taxi#taxi_information'
      post 'update_availability' => 'taxi#update_availability'
      post 'update_device_id' => 'taxi#update_device_id'
      post 'accept_ride' => 'taxi#accept_ride'
      post 'reject_ride' => 'taxi#reject_ride'
      post 'begin_ride' => 'taxi#begin_ride'
      post 'end_ride' => 'taxi#end_ride'
      get 'assignment_information' => 'taxi#assignment_information'
      get 'ride_information' => 'taxi#ride_information'
      get 'reputation' => 'taxi#reputation'

      resources :tokens, :only => [:create, :destroy]
    end
  end

  # The priority is based upon order of creation:
  # first created -> highest priority.

  # Sample of regular route:
  #   match 'products/:id' => 'catalog#view'
  # Keep in mind you can assign values other than :controller and :action

  # Sample of named route:
  #   match 'products/:id/purchase' => 'catalog#purchase', :as => :purchase
  # This route can be invoked with purchase_url(:id => product.id)

  # Sample resource route (maps HTTP verbs to controller actions automatically):
  #   resources :products

  # Sample resource route with options:
  #   resources :products do
  #     member do
  #       get 'short'
  #       post 'toggle'
  #     end
  #
  #     collection do
  #       get 'sold'
  #     end
  #   end

  # Sample resource route with sub-resources:
  #   resources :products do
  #     resources :comments, :sales
  #     resource :seller
  #   end

  # Sample resource route with more complex sub-resources
  #   resources :products do
  #     resources :comments
  #     resources :sales do
  #       get 'recent', :on => :collection
  #     end
  #   end

  # Sample resource route within a namespace:
  #   namespace :admin do
  #     # Directs /admin/products/* to Admin::ProductsController
  #     # (app/controllers/admin/products_controller.rb)
  #     resources :products
  #   end

  # You can have the root of your site routed with "root"
  # just remember to delete public/index.html.
  # root :to => 'welcome#index'

  # See how all your routes lay out with "rake routes"

  # This is a legacy wild controller route that's not recommended for RESTful applications.
  # Note: This route will make all actions in every controller accessible via GET requests.
  # match ':controller(/:action(/:id))(.:format)'
end
