# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20130427090556) do

  create_table "admins", :force => true do |t|
    t.string   "email",                  :default => "", :null => false
    t.string   "encrypted_password",     :default => "", :null => false
    t.string   "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",          :default => 0
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string   "current_sign_in_ip"
    t.string   "last_sign_in_ip"
    t.string   "username"
    t.datetime "created_at",                             :null => false
    t.datetime "updated_at",                             :null => false
  end

  add_index "admins", ["email"], :name => "index_admins_on_email", :unique => true
  add_index "admins", ["reset_password_token"], :name => "index_admins_on_reset_password_token", :unique => true

  create_table "assignments", :force => true do |t|
    t.integer  "taxi_id"
    t.integer  "ride_id"
    t.string   "status"
    t.datetime "notified_at"
    t.datetime "response_received_at"
    t.datetime "created_at",           :null => false
    t.datetime "updated_at",           :null => false
  end

  add_index "assignments", ["ride_id"], :name => "index_assignments_on_ride_id"
  add_index "assignments", ["taxi_id"], :name => "index_assignments_on_taxi_id"

  create_table "ratings", :force => true do |t|
    t.integer  "taxi_id"
    t.integer  "ride_id"
    t.string   "device"
    t.integer  "value"
    t.datetime "created_at", :null => false
    t.datetime "updated_at", :null => false
  end

  add_index "ratings", ["ride_id"], :name => "index_ratings_on_ride_id"
  add_index "ratings", ["taxi_id"], :name => "index_ratings_on_taxi_id"

  create_table "rides", :force => true do |t|
    t.string   "device"
    t.string   "locator"
    t.datetime "booking_time"
    t.float    "latitude"
    t.float    "longitude"
    t.datetime "created_at",   :null => false
    t.datetime "updated_at",   :null => false
    t.string   "status"
  end

  create_table "taxi_drivers", :force => true do |t|
    t.string   "email",                  :default => "", :null => false
    t.string   "encrypted_password",     :default => "", :null => false
    t.string   "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",          :default => 0
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string   "current_sign_in_ip"
    t.string   "last_sign_in_ip"
    t.string   "authentication_token"
    t.string   "username"
    t.string   "device"
    t.datetime "created_at",                             :null => false
    t.datetime "updated_at",                             :null => false
  end

  add_index "taxi_drivers", ["email"], :name => "index_taxi_drivers_on_email", :unique => true
  add_index "taxi_drivers", ["reset_password_token"], :name => "index_taxi_drivers_on_reset_password_token", :unique => true

  create_table "taxis", :force => true do |t|
    t.string   "identifier"
    t.boolean  "available"
    t.float    "latitude"
    t.float    "longitude"
    t.datetime "created_at",            :null => false
    t.datetime "updated_at",            :null => false
    t.integer  "taxi_driver_id"
    t.integer  "current_assignment_id"
  end

  add_index "taxis", ["current_assignment_id"], :name => "index_taxis_on_current_assignment_id"
  add_index "taxis", ["taxi_driver_id"], :name => "index_taxis_on_taxi_driver_id"

end
