
Given(/^I am an administrator$/) do
  @admin = FactoryGirl.create(:admin)
end

Given(/^I am logged in as an administrator$/) do
  visit(new_admin_session_url)
  fill_in("admin_username", with: @admin.username)
  fill_in("admin_password", with: @admin.password)
  find("input[type='submit']").click
end

Given(/^I am not logged in as an administrator$/) do
  delete(destroy_admin_session_url)
end

Given(/^there is a taxi driver$/) do
  @driver = FactoryGirl.create(:taxi_driver)
end

Given(/^I am on the new taxi driver page$/) do
  visit(new_taxi_driver_url)
end

When(/^I visit the list of taxi drivers$/) do
  visit(taxi_drivers_url)
end

When(/^I add a taxi driver$/) do
  @username = "test_driver"
  @identifier = 1234
  fill_in("taxi_driver_username", with: @username)
  fill_in("taxi_driver_password", with: @username)
  fill_in("taxi_driver_password_confirmation", with: @username)
  fill_in("taxi_driver_taxi_identifier", with: @identifier)
  fill_in("taxi_driver_email", with: "#{@username}@test_driver.com")
  find("input[type='submit']").click
end

Then(/^I should see the taxi driver$/) do
  page.should have_content(@driver.username)
end

Then(/^I should see the added taxi driver$/) do
  page.should have_content(@username)
end

Then(/^I should see a login required message$/) do
  page.should have_field("admin_username")
end

Then(/^I should see his taxi's identifier$/) do
  page.should have_content(@identifier)
end
