Feature: Accept and reject rides
  In order to get the next ride
  As a taxi driver
  I want to be able to accept or reject an assigned ride

  @push_notifications
  Scenario: View assigned ride
    Given I am an available taxi driver
    And I updated my device identifier
    And the system has assigned me a ride
    And the system has notified me
    When I request my current assignment
    Then I should see my current assignment

  @push_notifications
  Scenario: Accept assigned ride
    Given I am an available taxi driver
    And I updated my device identifier
    And the system has assigned me a ride
    And the system has notified me
    When I accept the ride
    Then the ride should be accepted
    And my taxi should not be available
    And the customer should be notified

  @push_notifications
  Scenario: Reject assigned ride
    Given I am an available taxi driver
    And there are other available taxis
    And I updated my device identifier
    And the system has assigned me a ride
    And the system has notified me
    When I reject the ride
    Then the ride should be rejected
    And the system should have assigned another taxi
    And the newly assigned taxi driver should have been notified

  @push_notifications
  Scenario: Don't assign rides to already assigned taxis
    Given I am an available taxi driver
    And there are other available taxis
    And I updated my device identifier
    And the system has assigned me a ride
    And the system has notified me
    When a client requests a ride
    Then the system should have assigned another taxi
    And the newly assigned taxi driver should have been notified
